import es

stammlist = None 
stammtype = None
level = None

class stammie:
	def __init__(self, userid):
		self.userid = userid
		self.steam()
	def steam(self):
		if es.exists("userid", self.userid):
			self.steamid = es.getplayersteamid(self.userid)
	def getStats(self, all=True):
		if stammlist.has_key(self.steamid):
			if all:
				stats = {"rounds":stammlist[self.steamid]["rounds"],"kills":stammlist[self.steamid]["kills"],"time":stammlist[self.steamid]["time"]}
				return stats
			elif all in ("rounds", "kills", "time"):
				stats = {all:stammlist[self.steamid][all]}
				return stats
			else:
				return False 
		else:
			return False				
	def setStats(self, number):
		if stammlist.has_key(self.steamid):
			es.server.queuecmd("stamm_set %s %s" % (self.userid, number))
		else:
			return False		
	def addStats(self, number):
		if stammlist.has_key(self.steamid):
			es.server.queuecmd("stamm_add %s %s" % (self.userid, number))
		else:
			return False
	def delStats(self, number):
		if stammlist.has_key(self.steamid):
			es.server.queuecmd("stamm_del %s %s" % (self.userid, number))
		else:
			return False
	def isStammie(self):
		if stammlist.has_key(self.steamid):
			if stammlist[self.steamid]["VIP"] == 1:
				return True
		else:
			return False
	def isBronze(self):
		if stammlist.has_key(self.steamid):
			if stammlist[self.steamid]["Level"]["id"] == 1:
				return True
		else:
			return False
	def isMinBronze(self):
		if stammlist.has_key(self.steamid):
			if stammlist[self.steamid]["Level"]["id"] > 0:
				return True
		else:
			return False
	def isSilver(self):
		if stammlist.has_key(self.steamid):
			if stammlist[self.steamid]["Level"]["id"] == 2:
				return True
		else:
			return False
	def isMinSilver(self):
		if stammlist.has_key(self.steamid):
			if stammlist[self.steamid]["Level"]["id"] > 1:
				return True
		else:
			return False
	def isGold(self):
		if stammlist.has_key(self.steamid):
			if stammlist[self.steamid]["Level"]["id"] == 3:
				return True
		else:
			return False
	def isMinGold(self):
		if stammlist.has_key(self.steamid):
			if stammlist[self.steamid]["Level"]["id"] > 2:
				return True
		else:
			return False
	def isPlatinum(self):
		if stammlist.has_key(self.steamid):
			if stammlist[self.steamid]["Level"]["id"] == 4:
				return True
		else:
			return False
	def isMinPlatinum(self):
		if stammlist.has_key(self.steamid):
			if stammlist[self.steamid]["Level"]["id"] > 3:
				return True
		else:
			return False
	def getFeatures(self):
		if stammlist.has_key(self.steamid):
			return stammlist[self.steamid]["Level"]["features"]
		else:
			return False
		
def getDB():
	if stammlist:
		return stammlist
	else:
		return False
	
def getType():
	return stammtype
	
def getPlayer(userid):
	return stammie(userid)
	
def isLevelOn():
	return level